# == Class: rsh
#
# This module provides a class to manage rsh.
#
# === Parameters
#
# See rsh::params for parameters.
#
# === Examples
#
# class { 'rsh': }
#
# === License
#
# Copyright (C) 2013 Jeffrey Goettsch <jgoettsch@gmail.com>.
#
# This file is part of jgoettsch-rsh.
#
# jgoettsch-rsh is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# jgoettsch-rsh is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with jgoettsch-rsh.  If not, see <http://www.gnu.org/licenses/>.
#
class rsh {

  require rsh::params

  case $rsh::params::ensure {
    present,installed,absent,purged,held,latest: {
      $ensure_real = $rsh::params::ensure
    }
    default: {
      fail('ensure must be present, installed, absent, purged, held, or latest')
    }
  }

  package { 'rsh':
    ensure => $ensure_real,
  }
}
